For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact Us
Knowledge BaseProduct UpdatesAPI Documentation
Knowledge BaseProduct UpdatesAPI Documentation
    • Getting Started
  • API Reference
      • GETCheck if a company exists
      • POSTAdd company information
      • PUTUpdate companies in batch
      • DELSubmit a deletion request for a company and any related data
Contact Us
LogoLogo
API ReferenceCompany

Check if a company exists

GET
https://api.cable.tech/v2/company
GET
/v2/company
$curl -G https://api.cable.tech/v2/company \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d company_id=c1234567890
1{
2 "company_id": "c1234567890",
3 "first_seen": "2023-05-10T08:15:30Z",
4 "last_seen": "2024-04-20T17:45:00Z",
5 "organization_id": "org987654321"
6}
Was this page helpful?
Previous

Add company information

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

company_idstringRequired
The unique identifier of the company

Response

Company exists
company_idstring
The unique identifier of the company
first_seendatetime
This represents the earliest timestamp associated with the company
last_seendatetime
This represents the latest timestamp associated with the company
organization_idstring
The organization ID for which the company was found

Errors

401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error